Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| xmlgraphics-commons 2.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xmlgraphics.java2d.color.profile
Class NamedColorProfileParser

    java.lang.Object
      org.apache.xmlgraphics.java2d.color.profile.NamedColorProfileParser

    public class NamedColorProfileParser

extends Object

This class is a parser for ICC named color profiles. It uses Java's `ICC_Profile` class for parsing the basic structure but adds functionality to parse certain profile tags.

Constructor Summary
`NamedColorProfileParser()`

Method Summary
`static boolean` | `isNamedColorProfile(ICC_Profile profile)` Indicates whether the profile is a named color profile.
`NamedColorProfile` | `parseProfile(ICC_Profile profile)` Parses a named color profile (NCP).
`NamedColorProfile` | `parseProfile(ICC_Profile profile, String profileName, String profileURI)` Parses a named color profile (NCP).

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NamedColorProfileParser

    public NamedColorProfileParser()

Method Detail

### isNamedColorProfile

    public static boolean isNamedColorProfile(ICC_Profile profile)

  Indicates whether the profile is a named color profile.

  Parameters:
    `profile` - the color profile
  Returns:
    true if the profile is a named color profile, false otherwise

### parseProfile

    public NamedColorProfile parseProfile(ICC_Profile profile,
                                          String profileName,
                                          String profileURI)
                                   throws IOException

  Parses a named color profile (NCP).

  Parameters:
    `profile` - the profile to analyze
    `profileName` - Optional profile name associated with this color profile
    `profileURI` - Optional profile URI associated with this color profile
  Returns:
    an object representing the parsed NCP
  Throws:
    `IOException` - if an I/O error occurs

### parseProfile

    public NamedColorProfile parseProfile(ICC_Profile profile)
                                   throws IOException

  Parses a named color profile (NCP).

  Parameters:
    `profile` - the profile to analyze
  Returns:
    an object representing the parsed NCP
  Throws:
    `IOException` - if an I/O error occurs

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| xmlgraphics-commons 2.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2016 The Apache Software Foundation. All Rights Reserved.